import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  MediaPackageV2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../MediaPackageV2Client";
import {
  UpdateOriginEndpointRequest,
  UpdateOriginEndpointResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface UpdateOriginEndpointCommandInput
  extends UpdateOriginEndpointRequest {}
export interface UpdateOriginEndpointCommandOutput
  extends UpdateOriginEndpointResponse,
    __MetadataBearer {}
export declare class UpdateOriginEndpointCommand extends $Command<
  UpdateOriginEndpointCommandInput,
  UpdateOriginEndpointCommandOutput,
  MediaPackageV2ClientResolvedConfig
> {
  readonly input: UpdateOriginEndpointCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UpdateOriginEndpointCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: MediaPackageV2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    UpdateOriginEndpointCommandInput,
    UpdateOriginEndpointCommandOutput
  >;
  private serialize;
  private deserialize;
}
